List all contract types
curl --request GET \
--url https://data-api.compute-index.com/v1/contract-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://data-api.compute-index.com/v1/contract-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data-api.compute-index.com/v1/contract-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"contract_terms": [],
"contract_type": "ondemand",
"gpu_model_count": 151,
"gpu_models": [
"A10",
"A100",
"A100 SXM4",
"A10G",
"A16",
"A2000",
"A30",
"A40",
"A4000",
"A6000",
"A800",
"B200",
"B300",
"Cloud AI 100",
"Gaudi2",
"Gaudi HL-205",
"GB200",
"GB200 NVL72",
"GB300",
"GH200",
"GPU-B200-SXM",
"GPU-H100-SXM",
"GPU-H200-SXM",
"GTX 1050",
"GTX 1050 Ti",
"GTX 1060",
"GTX 1070",
"GTX 1070 Ti",
"GTX 1080",
"GTX 1080 Ti",
"GTX 1650",
"GTX 1660",
"GTX 1660 Super",
"GTX 1660 Ti",
"H100",
"H100 NVL",
"H100 PCIe",
"H100 SXM5",
"H200",
"H200 NVL",
"H200 SXM",
"Inferentia2",
"Inferentia v1",
"Inferentia v2",
"K520",
"K80",
"L4",
"L40",
"L40S",
"M60",
"MI25",
"MI300X",
"MI325X",
"MI350X",
"MI355X",
"P100",
"P4",
"P40",
"Quadro M4000",
"Quadro P4000",
"Quadro P5000",
"Quadro P6000",
"Quadro RTX 4000",
"Quadro RTX 5000",
"Quadro RTX 6000",
"Quadro RTX 8000",
"Radeon MI25",
"Radeon Pro V520",
"RTX 2000 Ada",
"RTX 2060",
"RTX 2060 Super",
"RTX 2070",
"RTX 2070 Super",
"RTX 2080",
"RTX 2080 Ti",
"RTX 3050",
"RTX 3060",
"RTX 3060 12GB",
"RTX 3060 8GB",
"RTX 3060 Ti",
"RTX 3070",
"RTX 3070 Ti",
"RTX 3080",
"RTX 3080 Ti",
"RTX 3090",
"RTX 3090 Ti",
"RTX 4000 Ada",
"RTX 4000 Ada SFF",
"RTX 4060",
"RTX 4060 Ti",
"RTX 4060 Ti 16GB",
"RTX 4070",
"RTX 4070 Laptop",
"RTX 4070 Super",
"RTX 4070 SUPER",
"RTX 4070 Ti",
"RTX 4070 Ti Super",
"RTX 4070 Ti SUPER",
"RTX 4080",
"RTX 4080 Super",
"RTX 4080 SUPER",
"RTX 4090",
"RTX 4090D",
"RTX 4500 Ada",
"RTX 5000 Ada",
"RTX 5060",
"RTX 5060 Ti",
"RTX 5060 Ti 16GB",
"RTX 5070",
"RTX 5070 Ti",
"RTX 5080",
"RTX 5090",
"RTX 5090 Laptop",
"RTX 5880 Ada",
"RTX 6000",
"RTX 6000 Ada",
"RTX A2000",
"RTX A4000",
"RTX A4500",
"RTX A5000",
"RTX A6000",
"RTX PRO 4000",
"RTX PRO 4500",
"RTX PRO 5000",
"RTX PRO 6000",
"RTX PRO 6000 Blackwell",
"RTX PRO 6000 MaxQ",
"RTX PRO 6000 SE",
"RTX PRO 6000 WK",
"RTX PRO 6000 WS",
"RX 7800 XT",
"RX 7900 XT",
"RX 7900 XTX",
"RX 9060 XT",
"RX 9070 XT",
"T4",
"T4G",
"Tesla V100",
"Titan RTX",
"Titan V",
"Titan Xp",
"TPU v5e",
"TPU v5p",
"TPU v6e",
"Trainium",
"Trainium v1",
"V100",
"V100S",
"V100 SXM2",
"V620",
"V710"
],
"open_record_count": 59460,
"region_count": 39,
"total_record_count": 15042872,
"vendor_count": 43,
"vendors": [
"akash",
"aws",
"azure",
"brev_nvidia",
"cerebrium",
"civo",
"cloud_gpus",
"coreweave",
"crusoe",
"cudocompute",
"datacrunch",
"denvrdata",
"digitalocean",
"edgevana",
"exabits",
"exoscale",
"gcore",
"gcp",
"gpunet",
"hotaisle",
"hydrahost",
"hyperbolic",
"hyperstack",
"lambda",
"massedcompute",
"nebius",
"northflank",
"novita",
"oblivus",
"oracle",
"paperspace",
"primeintellect",
"runpod",
"salad",
"scaleway",
"sesterce",
"sfcompute",
"shadeform",
"tensorwave",
"together",
"valdi",
"vastai",
"vultr"
]
},
{
"contract_terms": [
"1d",
"1mo",
"1w",
"1y",
"2mo",
"2w",
"2y",
"3mo",
"3y",
"6mo"
],
"contract_type": "reserved",
"gpu_model_count": 94,
"gpu_models": [
"A10",
"A100",
"A10G",
"A2",
"A30",
"A40",
"A6000",
"AI 100 Pro",
"B200",
"B300",
"Cloud AI 100",
"Gaudi HL-205",
"GB200",
"GB300",
"GTX 1070 Ti",
"GTX 1080",
"GTX 1080 Ti",
"GTX 1660 Super",
"GTX 1660 Ti",
"H100",
"H100 NVL",
"H200",
"H200 NVL",
"H200 SXM",
"Inferentia v1",
"Inferentia v2",
"L4",
"L40",
"L40S",
"M60",
"MI25",
"MI250",
"MI300X",
"P100",
"P4",
"Quadro P4000",
"Quadro RTX 6000",
"Quadro RTX 8000",
"Radeon MI25",
"Radeon Pro V520",
"RTX 2000 Ada",
"RTX 2060 Super",
"RTX 2070 Super",
"RTX 2080 Ti",
"RTX 3050",
"RTX 3060",
"RTX 3060 Ti",
"RTX 3070",
"RTX 3070 Ti",
"RTX 3080",
"RTX 3080 Ti",
"RTX 3090",
"RTX 3090 Ti",
"RTX 4000 Ada",
"RTX 4060",
"RTX 4060 Ti",
"RTX 4070",
"RTX 4070 Super",
"RTX 4070 Ti",
"RTX 4070 Ti Super",
"RTX 4080",
"RTX 4080 Super",
"RTX 4090",
"RTX 4090D",
"RTX 4500 Ada",
"RTX 5000 Ada",
"RTX 5060",
"RTX 5060 Ti",
"RTX 5070",
"RTX 5070 Ti",
"RTX 5080",
"RTX 5090",
"RTX 6000",
"RTX 6000 Ada",
"RTX A4000",
"RTX A4500",
"RTX A5000",
"RTX A6000",
"RTX PRO 4000",
"RTX PRO 4500",
"RTX PRO 5000",
"RTX PRO 6000",
"RTX PRO 6000 Blackwell",
"RTX PRO 6000 WK",
"T4",
"T4G",
"Titan RTX",
"TPU v5e",
"TPU v5p",
"TPU v6e",
"Trainium v1",
"V100",
"V620",
"V710"
],
"open_record_count": 135492,
"region_count": 36,
"total_record_count": 4604726,
"vendor_count": 18,
"vendors": [
"aws",
"azure",
"cirrascale",
"civo",
"cloud_gpus",
"datacrunch",
"gcp",
"gmicloud",
"hotaisle",
"hyperbolic",
"mithril",
"novita",
"oblivus",
"oracle",
"paperspace",
"runpod",
"together",
"vastai"
]
}
],
"total_count": 3
}Metadata
Contract Types
Get list of all contract types with availability and pricing statistics
GET
/
v1
/
contract-types
List all contract types
Example
List every contract type with availability and pricing statistics:curl -H "Authorization: Bearer $TOKEN" \
"https://data-api.compute-index.com/v1/contract-types"